Subject: bug#18528: 24.3.93; Crash during restoration of frameset from desktop

From: martin rudalics <[email-masked]>
Date: Tue, 23 Sep 2014 21:17:02 +0200

>>   > Yes, I think so.  I think the reason we didn't see any problems with
 >>   > that is that GUI windows always over-allocate their glyph matrices, to
 >>   > be prepared for dealing with the smallest possible font, which is
 >>   > rarely if ever used.  But I think if you actually use that smallest
 >>   > font for the default face, you will see the problem.
 >>
 >> I thought it's not needed because in required_matrix_width we use the
 >> pixel width when HAVE_WINDOW_SYSTEM is defined.
 >
 > Is this a response to what's above or to what's below?

To what's above.  Currently we

       return (((WINDOW_PIXEL_WIDTH (w) + ch_width - 1)
	       / ch_width) * w->ncols_scale_factor
	      /* 2 partially visible columns in the text area.  */
	      + 2
	      /* One partially visible column at the right
		 edge of each marginal area.  */
	      + 1 + 1);

so columns aren't involved IIUC.

martin